mrbias(1)

NAME
mrbias - MR Image Intensity Bias Field Correction

SYNOPSIS
mrbias InputImage OutputImage

DESCRIPTION
This program corrects intensity inhomogeneity artifacts in MR images using a bias field estimated via entropy minimization.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--xml
    Write command line syntax specification in XML markup (for Slicer integration).

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Bias Field Parameterization

--degree-add <integer>, -A <integer>
    Polynomial degree for additive correction. [Default: 0]

--degree-mul <integer>, -M <integer>
    Polynomial degree for multiplicative correction. [Default: 2]

--incremental, -I
    Incrementally increase polynomial degrees.

  Input Image Preprocessing

--set-padding-value <double>
    Set padding value for input intensity image. Pixels with this value will be ignored. [Default: disabled]

--mask <labelmap-path>, -m <labelmap-path>
    Binary mask image filename. [Default: NONE]

--thresh-min <float>, -t <float>
    Minimum intensity threshold for image foreground. [Default: disabled]

--thresh-max <float>, -T <float>
    Minimum intensity threshold for image foreground. [Default: disabled]

--thresh-auto
    Automatic minimum intensity threshold selection for image foreground using an estimate of image noise level.

--thresh-otsu-nbins <integer>
    If this is a positive integer, use automatic minimum intensity threshold selection for image foreground by Otsu thresholding with given number of histogram bins. [Default: 0]

  Entropy Estimation Settings

--log-intensities, -L
    Use log intensities for entropy estimation.

--sampling-density <float>, -s <float>
    Image sampling density to use only subset of image pixels [Default: disabled]

--num-bins <integer>, -n <integer>
    Number of histogram bins for entropy estimation [Default: 256]

  Optimization Algorithm Settings

--step-max <double>
    Maximum (initial) search step size. [Default: 1]

--step-min <double>
    Minimum (final) search step size. [Default: 0.1]

  Input and Output Options

--import-bias-add <image-path>
    Import additive bias field (disables optimization). [Default: NONE]

--import-bias-mul <image-path>
    Import multiplicative bias field (disables optimization). [Default: NONE]

--write-bias-add <image-path>
    File name for output of additive bias field. [Default: NONE]

--write-bias-mul <image-path>
    File name for output of multiplicative bias field. [Default: NONE]

--write-float, -F
    Write output image with floating point pixel data. If this is not given, the input data type is used.

  Image/Transformation Database

--db <string>
    Path to image/transformation database that should be updated with the newly created image. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.